Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.builder
Interface SwiftBuilderConstants

All Known Implementing Classes:
  SwiftAltrnEntry, SwiftAltrnEntryField, SwiftEntryField, SwiftLoopEntryField, SwiftMessage, SwiftOptEntry, SwiftOptEntryField, SwiftPattern, SwiftSeqEntryField

    public interface SwiftBuilderConstants

Field Summary
`static java.lang.String` | `END_OF_CTRL_POINT`
`static java.lang.String` | `MSG_ABNORM_ADDING_ENTRY_TO_NON_CONTAINER`
`static java.lang.String` | `MSG_ABNORM_ADDING_FIELD_TO_NON_CONTAINER`
`static java.lang.String` | `MSG_ABNORM_ALTRN_FLD_HAS_NO_OPTS`
`static java.lang.String` | `MSG_ABNORM_NO_OPT_ENTRY_FOR_NON_LITERAL`
`static java.lang.String` | `MSG_ABNORM_NON_LITERAL_FLD_HAS_NO_OPTS`
`static java.lang.String` | `MSG_ABNORM_SEQU_INSIDE_ANONYM_SEQU`
`static java.lang.String` | `MSG_ABNORM_SIMPLE_FLD_HAS_MULTI_OPTS`
`static java.lang.String` | `MSG_ERROR_ADDING_ENTRY`
`static java.lang.String` | `MSG_EXPECT_DESCS_IN_FMT`
`static java.lang.String` | `MSG_EXPECT_LINE_START_WITH`
`static java.lang.String` | `MSG_EXPECT_OPT_IN_FMT`
`static java.lang.String` | `MSG_EXPECT_PATTS_IN_FMT`
`static java.lang.String` | `MSG_HREF_NOT_FOUND`
`static java.lang.String` | `MSG_INVALID_FLD_SPEC_PATTERN`
`static java.lang.String` | `MSG_INVALID_FMT_SPEC_WRONG_FLD_CNT`
`static java.lang.String` | `MSG_INVALID_HRF_SPEC_ENTRY`
`static java.lang.String` | `MSG_INVALID_QUALIFIER_ENTRY_7_FLD_EXPECTED`
`static java.lang.String` | `MSG_INVALID_QUALIFIER_ENTRY_FLD_VAL_EXPECTED`
`static java.lang.String` | `MSG_NO_EXPECTED_TAG_FOUND`
`static java.lang.String` | `MSG_NO_FORMAT_ENTRIES_FOUND`
`static java.lang.String` | `MSG_NO_FORMAT_SEC_FOUND`
`static java.lang.String` | `MSG_NOT_HTML_ERROR`
`static java.lang.String` | `MSG_PATTS_DESCS_NOT_MATCH`
`static java.lang.String` | `MSG_SEQU_STACK_UNDERFLOW`
`static java.lang.String` | `MSG_TABLE_CLOSE_NOT_FOUND`
`static java.lang.String` | `MSG_TABLE_HEADER_NOT_FOUND`
`static java.lang.String` | `MSG_TABLE_OPEN_NOT_FOUND`
`static java.lang.String` | `NAME_FLD_SPEC_PAGE`
`static java.lang.String` | `NAME_FMT_SPEC_PAGE`
`static java.lang.String` | `START_OF_CTRL_POINT`
`static java.lang.String` | `STF_ALTRN_CTRL_ATTRIBUTE`
`static java.lang.String` | `STF_ALTRN_ENTRY_ID`
`static java.lang.String` | `STF_ALTRN_IS_OPTIONAL`
`static java.lang.String` | `STF_ALTRN_OPTION_CHOICE`
`static java.lang.String` | `STF_DIFF_LEFT_MARK`
`static java.lang.String` | `STF_DIFF_RIGHT_MARK`
`static java.lang.String` | `STF_DIFF_SEPARATOR`
`static java.lang.String` | `STF_ENTRY_ALTRN`
`static java.lang.String` | `STF_ENTRY_FIELD`
`static java.lang.String` | `STF_ENTRY_LOOP`
`static java.lang.String` | `STF_ENTRY_OPTION`
`static java.lang.String` | `STF_ENTRY_SEQU`
`static java.lang.String` | `STF_FIELD_ENTRY_ID`
`static java.lang.String` | `STF_FIELD_EXPANSION`
`static java.lang.String` | `STF_FIELD_IS_OPTIONAL`
`static java.lang.String` | `STF_FIELD_PATT_ID`
`static java.lang.String` | `STF_FIELD_TAG`
`static java.lang.String` | `STF_FIOPT_ENTRY_ID`
`static java.lang.String` | `STF_FIOPT_FIELD_TAG`
`static java.lang.String` | `STF_FIOPT_IS_OPTIONAL`
`static java.lang.String` | `STF_FIOPT_OPTION_CHOICE`
`static java.lang.String` | `STF_FIOPT_OPTION_EXPANSION`
`static java.lang.String` | `STF_FIOPT_PATT_ID`
`static java.lang.String` | `STF_LOOP_CTRL_ATTRIBUTE`
`static java.lang.String` | `STF_LOOP_ENTRY_ID`
`static java.lang.String` | `STF_LOOP_MAX_OCC`
`static java.lang.String` | `STF_LOOP_MIN_OCC`
`static java.lang.String` | `STF_PATS_DEFAULT_VALUE`
`static java.lang.String` | `STF_PATS_EXISTENCE_CONDITION`
`static java.lang.String` | `STF_PATS_IS_EDITABLE`
`static java.lang.String` | `STF_PATS_IS_OPTIONAL`
`static java.lang.String` | `STF_PATS_IS_VERIFIABLE`
`static java.lang.String` | `STF_PATS_IS_VISIBLE`
`static java.lang.String` | `STF_PATS_MAX_CHAR`
`static java.lang.String` | `STF_PATS_MIN_CHAR`
`static java.lang.String` | `STF_PATS_NB_ROWS`
`static java.lang.String` | `STF_PATS_PROMPT`
`static java.lang.String` | `STF_PATS_ROW_SEPARATOR`
`static java.lang.String` | `STF_PATS_TYPE`
`static java.lang.String` | `STF_PATT_ID_PATS_ID`
`static java.lang.String` | `STF_SEQU_CTRL_ATTRIBUTE`
`static java.lang.String` | `STF_SEQU_ENTRY_ID`
`static java.lang.String` | `STF_SEQU_EXPANSION`
`static java.lang.String` | `STF_SEQU_IS_OPTIONAL`
`static java.lang.String` | `STF_SPACER`

Field Detail

### MSG_TABLE_OPEN_NOT_FOUND

    static final java.lang.String MSG_TABLE_OPEN_NOT_FOUND

See Also:
  Constant Field Values

### MSG_TABLE_CLOSE_NOT_FOUND

    static final java.lang.String MSG_TABLE_CLOSE_NOT_FOUND

See Also:
  Constant Field Values

### MSG_TABLE_HEADER_NOT_FOUND

    static final java.lang.String MSG_TABLE_HEADER_NOT_FOUND

See Also:
  Constant Field Values

### MSG_NO_FORMAT_ENTRIES_FOUND

    static final java.lang.String MSG_NO_FORMAT_ENTRIES_FOUND

See Also:
  Constant Field Values

### MSG_NO_FORMAT_SEC_FOUND

    static final java.lang.String MSG_NO_FORMAT_SEC_FOUND

See Also:
  Constant Field Values

### MSG_NO_EXPECTED_TAG_FOUND

    static final java.lang.String MSG_NO_EXPECTED_TAG_FOUND

See Also:
  Constant Field Values

### MSG_NOT_HTML_ERROR

    static final java.lang.String MSG_NOT_HTML_ERROR

See Also:
  Constant Field Values

### MSG_EXPECT_OPT_IN_FMT

    static final java.lang.String MSG_EXPECT_OPT_IN_FMT

See Also:
  Constant Field Values

### MSG_EXPECT_PATTS_IN_FMT

    static final java.lang.String MSG_EXPECT_PATTS_IN_FMT

See Also:
  Constant Field Values

### MSG_EXPECT_DESCS_IN_FMT

    static final java.lang.String MSG_EXPECT_DESCS_IN_FMT

See Also:
  Constant Field Values

### MSG_EXPECT_LINE_START_WITH

    static final java.lang.String MSG_EXPECT_LINE_START_WITH

See Also:
  Constant Field Values

### MSG_PATTS_DESCS_NOT_MATCH

    static final java.lang.String MSG_PATTS_DESCS_NOT_MATCH

See Also:
  Constant Field Values

### MSG_INVALID_QUALIFIER_ENTRY_7_FLD_EXPECTED

    static final java.lang.String MSG_INVALID_QUALIFIER_ENTRY_7_FLD_EXPECTED

See Also:
  Constant Field Values

### MSG_INVALID_QUALIFIER_ENTRY_FLD_VAL_EXPECTED

    static final java.lang.String MSG_INVALID_QUALIFIER_ENTRY_FLD_VAL_EXPECTED

See Also:
  Constant Field Values

### MSG_ABNORM_ADDING_FIELD_TO_NON_CONTAINER

    static final java.lang.String MSG_ABNORM_ADDING_FIELD_TO_NON_CONTAINER

See Also:
  Constant Field Values

### MSG_ABNORM_NO_OPT_ENTRY_FOR_NON_LITERAL

    static final java.lang.String MSG_ABNORM_NO_OPT_ENTRY_FOR_NON_LITERAL

See Also:
  Constant Field Values

### NAME_FMT_SPEC_PAGE

    static final java.lang.String NAME_FMT_SPEC_PAGE

See Also:
  Constant Field Values

### NAME_FLD_SPEC_PAGE

    static final java.lang.String NAME_FLD_SPEC_PAGE

See Also:
  Constant Field Values

### MSG_INVALID_FMT_SPEC_WRONG_FLD_CNT

    static final java.lang.String MSG_INVALID_FMT_SPEC_WRONG_FLD_CNT

See Also:
  Constant Field Values

### MSG_HREF_NOT_FOUND

    static final java.lang.String MSG_HREF_NOT_FOUND

See Also:
  Constant Field Values

### MSG_SEQU_STACK_UNDERFLOW

    static final java.lang.String MSG_SEQU_STACK_UNDERFLOW

See Also:
  Constant Field Values

### MSG_ABNORM_SEQU_INSIDE_ANONYM_SEQU

    static final java.lang.String MSG_ABNORM_SEQU_INSIDE_ANONYM_SEQU

See Also:
  Constant Field Values

### MSG_ERROR_ADDING_ENTRY

    static final java.lang.String MSG_ERROR_ADDING_ENTRY

See Also:
  Constant Field Values

### MSG_INVALID_HRF_SPEC_ENTRY

    static final java.lang.String MSG_INVALID_HRF_SPEC_ENTRY

See Also:
  Constant Field Values

### MSG_ABNORM_SIMPLE_FLD_HAS_MULTI_OPTS

    static final java.lang.String MSG_ABNORM_SIMPLE_FLD_HAS_MULTI_OPTS

See Also:
  Constant Field Values

### MSG_ABNORM_ADDING_ENTRY_TO_NON_CONTAINER

    static final java.lang.String MSG_ABNORM_ADDING_ENTRY_TO_NON_CONTAINER

See Also:
  Constant Field Values

### MSG_ABNORM_ALTRN_FLD_HAS_NO_OPTS

    static final java.lang.String MSG_ABNORM_ALTRN_FLD_HAS_NO_OPTS

See Also:
  Constant Field Values

### MSG_ABNORM_NON_LITERAL_FLD_HAS_NO_OPTS

    static final java.lang.String MSG_ABNORM_NON_LITERAL_FLD_HAS_NO_OPTS

See Also:
  Constant Field Values

### MSG_INVALID_FLD_SPEC_PATTERN

    static final java.lang.String MSG_INVALID_FLD_SPEC_PATTERN

See Also:
  Constant Field Values

### STF_ENTRY_SEQU

    static final java.lang.String STF_ENTRY_SEQU

See Also:
  Constant Field Values

### STF_SEQU_ENTRY_ID

    static final java.lang.String STF_SEQU_ENTRY_ID

See Also:
  Constant Field Values

### STF_SEQU_IS_OPTIONAL

    static final java.lang.String STF_SEQU_IS_OPTIONAL

See Also:
  Constant Field Values

### STF_SEQU_CTRL_ATTRIBUTE

    static final java.lang.String STF_SEQU_CTRL_ATTRIBUTE

See Also:
  Constant Field Values

### STF_SEQU_EXPANSION

    static final java.lang.String STF_SEQU_EXPANSION

See Also:
  Constant Field Values

### STF_ENTRY_FIELD

    static final java.lang.String STF_ENTRY_FIELD

See Also:
  Constant Field Values

### STF_FIELD_ENTRY_ID

    static final java.lang.String STF_FIELD_ENTRY_ID

See Also:
  Constant Field Values

### STF_FIELD_TAG

    static final java.lang.String STF_FIELD_TAG

See Also:
  Constant Field Values

### STF_FIELD_PATT_ID

    static final java.lang.String STF_FIELD_PATT_ID

See Also:
  Constant Field Values

### STF_FIELD_EXPANSION

    static final java.lang.String STF_FIELD_EXPANSION

See Also:
  Constant Field Values

### STF_FIELD_IS_OPTIONAL

    static final java.lang.String STF_FIELD_IS_OPTIONAL

See Also:
  Constant Field Values

### STF_PATT_ID_PATS_ID

    static final java.lang.String STF_PATT_ID_PATS_ID

See Also:
  Constant Field Values

### STF_PATS_PROMPT

    static final java.lang.String STF_PATS_PROMPT

See Also:
  Constant Field Values

### STF_PATS_MIN_CHAR

    static final java.lang.String STF_PATS_MIN_CHAR

See Also:
  Constant Field Values

### STF_PATS_MAX_CHAR

    static final java.lang.String STF_PATS_MAX_CHAR

See Also:
  Constant Field Values

### STF_PATS_NB_ROWS

    static final java.lang.String STF_PATS_NB_ROWS

See Also:
  Constant Field Values

### STF_PATS_ROW_SEPARATOR

    static final java.lang.String STF_PATS_ROW_SEPARATOR

See Also:
  Constant Field Values

### STF_PATS_TYPE

    static final java.lang.String STF_PATS_TYPE

See Also:
  Constant Field Values

### STF_PATS_DEFAULT_VALUE

    static final java.lang.String STF_PATS_DEFAULT_VALUE

See Also:
  Constant Field Values

### STF_PATS_EXISTENCE_CONDITION

    static final java.lang.String STF_PATS_EXISTENCE_CONDITION

See Also:
  Constant Field Values

### STF_PATS_IS_VISIBLE

    static final java.lang.String STF_PATS_IS_VISIBLE

See Also:
  Constant Field Values

### STF_PATS_IS_OPTIONAL

    static final java.lang.String STF_PATS_IS_OPTIONAL

See Also:
  Constant Field Values

### STF_PATS_IS_EDITABLE

    static final java.lang.String STF_PATS_IS_EDITABLE

See Also:
  Constant Field Values

### STF_PATS_IS_VERIFIABLE

    static final java.lang.String STF_PATS_IS_VERIFIABLE

See Also:
  Constant Field Values

### STF_ENTRY_OPTION

    static final java.lang.String STF_ENTRY_OPTION

See Also:
  Constant Field Values

### STF_FIOPT_ENTRY_ID

    static final java.lang.String STF_FIOPT_ENTRY_ID

See Also:
  Constant Field Values

### STF_FIOPT_FIELD_TAG

    static final java.lang.String STF_FIOPT_FIELD_TAG

See Also:
  Constant Field Values

### STF_FIOPT_PATT_ID

    static final java.lang.String STF_FIOPT_PATT_ID

See Also:
  Constant Field Values

### STF_FIOPT_IS_OPTIONAL

    static final java.lang.String STF_FIOPT_IS_OPTIONAL

See Also:
  Constant Field Values

### STF_FIOPT_OPTION_CHOICE

    static final java.lang.String STF_FIOPT_OPTION_CHOICE

See Also:
  Constant Field Values

### STF_FIOPT_OPTION_EXPANSION

    static final java.lang.String STF_FIOPT_OPTION_EXPANSION

See Also:
  Constant Field Values

### STF_ENTRY_LOOP

    static final java.lang.String STF_ENTRY_LOOP

See Also:
  Constant Field Values

### STF_LOOP_ENTRY_ID

    static final java.lang.String STF_LOOP_ENTRY_ID

See Also:
  Constant Field Values

### STF_LOOP_CTRL_ATTRIBUTE

    static final java.lang.String STF_LOOP_CTRL_ATTRIBUTE

See Also:
  Constant Field Values

### STF_LOOP_MIN_OCC

    static final java.lang.String STF_LOOP_MIN_OCC

See Also:
  Constant Field Values

### STF_LOOP_MAX_OCC

    static final java.lang.String STF_LOOP_MAX_OCC

See Also:
  Constant Field Values

### STF_ENTRY_ALTRN

    static final java.lang.String STF_ENTRY_ALTRN

See Also:
  Constant Field Values

### STF_ALTRN_ENTRY_ID

    static final java.lang.String STF_ALTRN_ENTRY_ID

See Also:
  Constant Field Values

### STF_ALTRN_CTRL_ATTRIBUTE

    static final java.lang.String STF_ALTRN_CTRL_ATTRIBUTE

See Also:
  Constant Field Values

### STF_ALTRN_IS_OPTIONAL

    static final java.lang.String STF_ALTRN_IS_OPTIONAL

See Also:
  Constant Field Values

### STF_ALTRN_OPTION_CHOICE

    static final java.lang.String STF_ALTRN_OPTION_CHOICE

See Also:
  Constant Field Values

### START_OF_CTRL_POINT

    static final java.lang.String START_OF_CTRL_POINT

See Also:
  Constant Field Values

### END_OF_CTRL_POINT

    static final java.lang.String END_OF_CTRL_POINT

See Also:
  Constant Field Values

### STF_SPACER

    static final java.lang.String STF_SPACER

See Also:
  Constant Field Values

### STF_DIFF_LEFT_MARK

    static final java.lang.String STF_DIFF_LEFT_MARK

See Also:
  Constant Field Values

### STF_DIFF_RIGHT_MARK

    static final java.lang.String STF_DIFF_RIGHT_MARK

See Also:
  Constant Field Values

### STF_DIFF_SEPARATOR

    static final java.lang.String STF_DIFF_SEPARATOR

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.